//Closing singletons on the same line.

void fn(){
    //TEST: Some trailing spaces.
    while (q) a()  ;    

    //TEST: Additional mC.
    while (q) a(); b();

    //TEST: Partial.
    while (q) a() +
    b();

    //TEST: Comments.
    while (q) a(); // With trailing spaces.   

    while (q) /*ick*/ a() /*ick*/ ; // And done.

    while (q) /*ick*/ a() /*ick*/ ; /*ick*/ b(); // With extra.
}
